package com.mycompany.app.mail;

import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.util.Properties;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeUtility;

public class SendMail {
    /**
     * [M\bh
     * @param from@MAhX
     * @param to@MAhX
     * @param subject@TuWFNg
     * @param body@[{fB[
     * @throws MessagingException
     * @throws UnsupportedEncodingException
     */
    public void doSend(String from, String to, String subject, String body)
            throws MessagingException, UnsupportedEncodingException {
        // M[T[oݒi{̓vpeBȂǂ擾قx^[j
        Properties mailprop = new Properties();
        mailprop.put("mail.smtp.host", "localhost");
        mailprop.put("mail.smtp.port", "10025");
        Session session = Session.getDefaultInstance(mailprop, null);

        MimeMessage msg = new MimeMessage(session);
        // ToZbg
        msg.setRecipient(Message.RecipientType.TO, new InternetAddress(to));
        // Mݒ
        msg.setFrom(new InternetAddress(from));
        // ݒ
        msg.setSubject(MimeUtility.encodeText(subject, "iso-2022-jp", "B"));
        // Mtw
        msg.setSentDate(new Date());
        // {Zbg
        msg.setContent(body, "text/plain; charset=\"iso-2022-jp\"");

        msg.setHeader("Content-Transfer-Encoding", "7bit");
        // MailM
        Transport.send(msg);

    }
}