package com.mycompany.app.db;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Types;

/**
 * f[^NX
 *
 * @author oshima
 *
 */
public class Member {
    private Connection conn = null;

    public Member(Connection conn) {
        this.conn = conn;
    }

    /**
     * XV\bh
     * @param name@
     * @param email@[AhX
     * @param address@Z
     * @param tel@dbԍ
     * @param memberId@ID
     * @throws SQLException
     */
    public void updateMember(String name, String email, String address,
            String tel, int memberId) throws SQLException {
        PreparedStatement p = null;

        StringBuffer sql = new StringBuffer();
        sql.append("update member ");
        sql.append(" set  email = ?  , member_name =? , address = ? , tel = ? ");
        sql.append(" where mid = ? ");
        try {
            p = conn.prepareStatement(sql.toString());
            if (email == null) {
                p.setNull(1, Types.VARCHAR);
            } else {
                p.setString(1, email);
            }
            if (name == null) {
                p.setNull(2, Types.VARCHAR);
            } else {
                p.setString(2, name);

            }
            if (address == null) {
                p.setNull(3, Types.VARCHAR);
            } else {
                p.setString(3, address);
            }
            if (tel == null) {
                p.setNull(4, Types.VARCHAR);
            } else {
                p.setString(4, tel);
            }
            p.setInt(5, memberId);
            p.executeUpdate();
            conn.commit();
        } catch (SQLException ee) {
            conn.rollback();
            throw ee;
        } finally {
            if (p != null) {
                try {
                    p.close();
                } catch (SQLException ee) {
                    ee.printStackTrace();
                }
            }
        }
    }
}