package com.mycompany.app.mail;

import java.io.UnsupportedEncodingException;
import javax.mail.MessagingException;

public class MockSendMail extends SendMail {
    private int errorCode = 0;

    public static final int NORMAL = 0;
    public static final int ERROR = 500;

    public MockSendMail(int errorCode) {
        this.errorCode = errorCode;
    }

    public void doSend(String from, String to, String subject, String body)
            throws MessagingException, UnsupportedEncodingException {
        if (NORMAL == errorCode) {
            return;
        } else {
            throw new MessagingException("Error:" + errorCode);
        }
    }
}