package com.mycompany.app.mail;

import java.util.Map;
import javax.mail.internet.MimeUtility;
import junit.framework.TestCase;
import com.smtpunit.message.SmtpMessage;
import com.smtpunit.server.SmtpServer;

public class SendMailTest extends TestCase {
    private SmtpServer smtpServer = null;

    protected void setUp() throws Exception {
        super.setUp();
        //SmtpServerN
        this.smtpServer = SmtpServer.startServer(10025);
    }

    protected void tearDown() throws Exception {
        super.tearDown();
        //smtpserver~
        this.smtpServer.stopServer();
    }
    public void testDoSend()throws Exception{
        Thread.sleep(500);
        String subject = "TuWFNg";
        String mailTo  = "sample1@sample.com";
        String mailFrom  = "sample2@sample.com";
        String mailBody = "{fB";
        SendMail sendmail = new SendMail();
        sendmail.doSend( mailFrom , mailTo , subject , mailBody );

        SmtpMessage message = this.smtpServer.getMessage();
        Map mm = message.getHeaderMap();

        //[e̕]
        //MAhX̃eXg
        assertEquals("From invlid",mailFrom,mm.get(SmtpMessage.HEADER_FROM));
        //MAhX̃eXg
        assertEquals("To invlid",mailTo,mm.get(SmtpMessage.HEADER_TO));
        //TuWFNgeXg邽߂ɃGR[h
        String subjectWithMime = MimeUtility.encodeText( subject , "iso-2022-jp" , "B" );
        //TuWFNg̃eXg
        assertEquals("Subject invlid",subjectWithMime,mm.get(SmtpMessage.HEADER_SUBJECT));
        String b = message.getBody();
        //{fB[eXg邽߂ɕR[hϊ邷
        String bodyStr = new String(b.getBytes(),"iso-2022-jp");
        //[{fB[̃eXg
        assertEquals("body invlid",bodyStr,mailBody);
    }
}